classdef sectionobj < report.genericobj

   methods

      function this = sectionobj(varargin)
         this = this@report.genericobj(varargin{:});
         this.accept = {};
         this.default = {...
            'numbered',true,@islogical,true,...
            'separator','',@ischar,false,...
         };
      end
      
      function [this,varargin] = specargin(this,varargin)
      end
      
      function [c,helperfiles] = latexcode(this,parent)
         helperfiles = {};
         if isempty(this.caption)
            c = '';
            return
         end
         if this.options.numbered
            numbered = '';
         else
            numbered = '*';
         end
         c = ['\section',numbered,'{',...
            latex.stringsubs(this.caption),'}'];
         
      end
      
   end
   
end