function disp(w)
% DISP  Display VAR object.

% The IRIS Toolbox 2009/06/24.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

nalt = length(w);
if isempty(w.Omega)
   fprintf('\tempty VAR object\n');
else
   if isempty(w.B)
      type = 'reduced-form';
   else
      type = 'structural';
   end
   fprintf('\t%s VAR object: %g parameterisation(s)\n',type,nalt);
end
disp@userdataobj(w);
disp(' ');

end
% End of primary function.