function this = mtimes(this,list)
   % MTIMES  Throw away database entries that are not on the list.

   % The IRIS Toolbox.
   % Copyright 2007-2010 Jaromir Benes.

P = inputParser();
P.addRequired('d',@isstruct);
P.addRequired('list',@(x) iscellstr(x) || ischar(x));
P.parse(this,list);

%**************************************************************************
% Function body..

if ischar(list)
   list = charlist2cellstr(list);
end

f = fieldnames(this).';
c = struct2cell(this).';
[fnew,index] = intersect(f,list);
this = cell2struct(c(index),fnew,2);

end
% End of primary function.