function x = comment(x,cmt)
% COMMENT  Get or set time series comment.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

if nargin > 1 && ~ischar(cmt) && ~iscellstr(cmt)
   error('Incorrect type of input argument(s).');
end

%**************************************************************************
% Function body.

if nargin < 2
   % Get comments.
   x = x.comment;
else
  % Set comments.
   cmt = strrep(cmt,'"','');
   if ischar(cmt)
      x.comment(:) = {cmt};
   else
      x.comment(:) = cmt(:);
   end
end

end
% End of primary function.
