function x = df(x,varargin)
% DF  First difference.
%
% Syntax:
%   x = df(x)
%   x = df(x,shift)
% Output arguments:
%   x [ tseries ] Time series after first difference.
% Required input arguments:
%   x [ tseries ] Input time series.
%   shift [ numeric ] Time shift, i.e. output times series is computed as x{t} - x{t+shift}.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

x = unop_(@df_,x,0,varargin{:});

end
% End of primary function.