function x = destdize_(x,xmean,xstd)
% STDIZE_  Destandardize column-wise data.

% The IRIS Toolbox 2009/08/04.
% Copyright 2007-2009 Jaromir Benes.

%********************************************************************
% Function body.

tmpsize = size(x);
x = x(:,:);
xmean = xmean(:,:);
xstd = xstd(:,:);

for i = 1 : size(x,2)
  x(:,i) = (x(:,i) * xstd(i)) + xmean(i);
end

x = reshape(x,tmpsize);

end
% End of primary function.