classdef progressBar
   
   properties
      title = '';
      nProgress = 20;
      nBar = 0;
      display = '*';
   end
   
   methods
      function this = progressBar(varargin)
         if nargin > 0
            this.title = varargin{1};
            if ~isempty(this.title)
               this.nProgress = length(this.title);
               loosespace();
               disp(this.title);
            end
         end
      end
      function this = update(this,n)
         x = this.nBar;
         this.nBar = floor(this.nProgress*n);
         if this.nBar > x
            c = this.display(1);
            fprintf(c(ones([1,this.nBar-x])));
            if this.nBar == this.nProgress
               fprintf('\n');
               loosespace();
            end
         end
      end
   end
   
end