function [X,list,range] = db2tseries(d,varargin)
% DB2TSERIES  Retrieve array of time series from database.
%
% Syntax:
%   x = db2tseries(d,list)
% Output arguments:
%   x [ tseries ] Mutlivariate time series.
% Required input arguments:
%   d [ struct ] Database from which to retrieve time seris.
%   list [ cellstr | char ] List of time series to retrieve.

% The IRIS Toolbox.
% Copyright 2007-2010 Jaromir Benes.

%**************************************************************************
% Function body.

[X,list,range] = db2array(d,varargin{:});
X = tseries(range,X);

end
% End of primary function.