function d = dbminuscontrol(m,d,c)
   % DBMINUSCONTROL  Subtract control from database.
   
   % The IRIS Toolbox.
   % Copyright 2007-2010 Jaromir Benes.

%**************************************************************************
% Function body.

list = [ ...
   get(m,'ylist'), ...
   get(m,'xlist'), ...
   ];

islog = [ ...
   get(m,'ylog'), ...
   get(m,'xlog'), ...
   ];

for i = 1 : length(list)
   if isfield(d,list{i}) && istseries(d.(list{i}))
      try
         if islog(i)
            d.(list{i}) = d.(list{i}) / c.(list{i});
         else
            d.(list{i}) = d.(list{i}) - c.(list{i});
         end
      end
   end
end

end
% End of primary function.
