function dat = mmtoday()
% <a href="dates/mmtoday">MMTODAY</a>  Serial date number for current month.
%
% Syntax:
%   dat = mmtoday()
% Output arguments:
%   dat [ numeric ]  Serial date number for current month.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

[year,month] = datevec(now());
dat = mm(year,month);

end
% End of primary function.