function m = per2month_(p,f,standinmonth)
% PER2MONTH_  Month representing a given period.

% The IRIS Toolbox.
% Copyright 2007-2010 Jaromir Benes.

%**************************************************************************
% Function body.

switch standinmonth
   case 'first'
      m = (p-1).*12./f + 1;
   case 'last'
      m = p.*12./f;
   otherwise
      m = (p-1).*12./f + standinmonth;
end

end
% End of function body.