function dat = yytoday()
% <a href="dates/yytoday">YYTODAY</a>  Serial date number for current year.
%
% Syntax:
%   dat = yytoday()
% Output arguments:
%   dat [ numeric ]  Serial date number for current year.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

[year,month] = datevec(now());
dat = yy(year);

end
% End of primary function.