function dat = zztoday()
% <a href="dates/zztoday">ZZTODAY</a>  Serial date number for current half-year.
%
% Syntax:
%   dat = zztoday()
% Output arguments:
%   dat [ numeric ]  Serial date number for current half-year.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

[year,month] = datevec(now());
dat = zz(year,1+floor((month-1)/6));

end
% End of primary function.