function [ph,lag] = frf2phase(w)

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

warning('off','MATLAB:divideByZero');
ph = atan2(-imag(w{1}),real(w{1}));
warning('on','MATLAB:divideByZero');

if nargout > 1
   realsmall = getrealsmall();
   lag = ph;
   for i = 1 : length(freq)
      if abs(w{2}(i)) < realsmall
         lag(:,:,i) = NaN;
      else
         lag(:,:,i) = lag(:,:,i) / w{2}(i);
      end
   end
end

end
% End of primary function.