function [rad,per] = frf2shift(F,varargin)
% FRF2SHIFT  Phase shift of frequence response function.
%
% Syntax:
%   [rad,per] = frf2shift(F)
% Output arguments:
%   radian [ numeric ] Phase shift in radians.
%   period [ numeric ] Phase shift in periods.
% Required input arguments:
%   F [ numeric ] Frequency response function.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

[rad,per] = xs2shift(F,varargin{:});

end
% End of primary function.