function flag = isdiag(X)
% <a href="utils/isdiag">ISDIAG</a>  True if matrix is diagonal.
%
% Syntax:
%   flag = isdiag(X)
% Output arguments:
%   flag [ true | false ] True if input matrix in diagonal.
% Required input arguments:
%   X [ numeric ] Tested matrix.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

flag = all(all(tril(X,-1) == 0)) && all(all(triu(X,1) == 0));

end
% End of primary function.