function flag = isscript(file)
% ISSCRIPT  True if file is an m-file script.

[fpath,ftitle,fext] = fileparts(file);
if ~strcmpi(fext,'.m')
   flag = false;
   return
end

x = file2char(file);
x = removecomments(x,{'%{','%}'},'%','\.\.\.');
flag = isempty(regexp(x,'^\s*function','once'));

end