function c = stringsubs(c)

if iscellstr(c)
   for i = 1 : numel(c)
      c{i} = latex.stringsubs(c{i});
   end
   return
end

offset = irisget('highcharcode');
store = {};
open = find(c == '{',1,'first');
count = 0;
while ~isempty(open)
   close = open-1 + matchbrk(c(open:end));
   if isempty(close)
      open = [];
   else
      count = count + 1;
      store{end+1} = c(open+1:close-1);
      c = [c(1:open-1),char(offset+count),c(close+1:end)];
      open = find(c == '{',1,'first');
   end
end
   
c = strrep(c,'\','\\');
c = strrep(c,'_','\_');
c = strrep(c,'%','\%');
c = strrep(c,'$','\$');
c = strrep(c,'#','\#');
c = strrep(c,'&','\&');
c = strrep(c,'<','$<$');
c = strrep(c,'>','$>$');
c = strrep(c,'~','$\sim$');

for i = 1 : numel(store)
   c = strrep(c,char(offset+i),store{i});
end

end
% End of primary function.