#2x2

!++ Unconditional vs conditional forecasts

!-- Nominal rate
   400*(mean.r_{:,1})
      & 400*(mean.r_{:,1} + std.r_{:,1})
      & 400*(mean.r_{:,1} - std.r_{:,1})
   & 400*(mean.r_{:,2})
      & 400*(mean.r_{:,2} + std.r_{:,2})
      & 400*(mean.r_{:,2} - std.r_{:,2})
   
!-- Final goods prices, Q/Q
   400*(mean.dp_{:,1})
      & 400*(mean.dp_{:,1} + std.dp_{:,1})
      & 400*(mean.dp_{:,1} - std.dp_{:,1})
   & 400*(mean.dp_{:,2})
      & 400*(mean.dp_{:,2} + std.dp_{:,2})
      & 400*(mean.dp_{:,2} - std.dp_{:,2})

!-- Real wage, 100 log
   100*log(mean.Q_{:,1}) &
      & 100*[ log(mean.Q_{:,1}) + log(std.Q_{:,1}) ]
      & 100*[ log(mean.Q_{:,1}) - log(std.Q_{:,1}) ]
   & 100*log(mean.Q_{:,2})
      & 100*[ log(mean.Q_{:,2}) + log(std.Q_{:,2}) ]
      & 100*[ log(mean.Q_{:,2}) - log(std.Q_{:,2}) ]

!-- Output gap, 100 log
   100*log(mean.Y_{:,1})
      & 100*[ log(mean.Y_{:,1} + log(std.Y_{:,1}) ]
      & 100*[ log(mean.Y_{:,1} - log(std.Y_{:,1}) ]
   & 100*log(mean.Y_{:,2})
      & 100*[ log(mean.Y_{:,2}) + log(std.Y_{:,2}) ]
      & 100*[ log(mean.Y_{:,2}) - log(std.Y_{:,2}) ]

!++ Implied structural shocks

!-- Policy rule shock
   100*mean.er
   
!-- Price setting shock
   100*mean.ep
   
!-- Wage setting shock
   100*mean.ew
   
!-- Preference shock
   100*mean.ec
   