function error(code,list,varargin)

switch code
   case 1
      msg = 'No observations available to estimate FAVAR.';
   case 2
      msg = 'Data covariance matrix contains Infs of NaNs.';
   case 4
      msg = 'Initial condition not available from input data.';
end

if nargin == 1
   list = {};
end
if ~iscell(list)
   list = {list};
end
printmsg('VAR','error',msg,list,code);

end