function [aic,sbc] = infocrit(Omega,nhyper,fitted)
nalt = size(Omega,3);
nobs = sum(fitted);
aic = nan([1,nalt]);
sbc = nan([1,nalt]);
for ialt = 1 : nalt
   % Information criteria.
   logdetOmega = log(det(Omega(:,:,ialt)));
   aic(ialt) = logdetOmega + 2/nobs * nhyper;
   sbc(ialt) = logdetOmega + log(nobs)/nobs * nhyper;
end
end
% End of primary function.