function [name,label,value] = model_findnames(list)
   %  patt = '(?<label>".*?")?\s*(?<name>\w+)\s*(?<value>=[^;,"]+)?';
   %  patt = '(?<label>".*?")?\s*(?<name>\w+)\s*(?<value>=[\s-\d\.ei]+[;,])?';
   patt = '(?<label>#\(\d+\))?\s*(?<name>\w+)\s*(?<value>=[^;,\n]+[;,\n])?';
   x = regexp(list,patt,'names');
   name = {x(:).name};
   label = {x(:).label};
   value = {};   
   if nargout > 2
      value = {x(:).value};
      value = strrep(value,'=','');
      value = strrep(value,'!','');
   end
end  
% End of subfunction namelist_().
