function disp(m)
% DISP  Display model object.

% The IRIS Toolbox 2008/10/21.
% Copyright (c) 2007-2008 Jaromir Benes.

%**************************************************************************
% Function body.

if m.linear
   label = 'linear';
else
   label = 'non-linear';
end
if isempty(m.assign)
   fprintf('\tempty model object\n');
else
   [ans,index] = isnan(m,'solution');
   fprintf('\t%s model object: %g parameterisation(s)\n',label,length(m));
   if any(~index)
      fprintf('\tsolution(s) available for a total of %g parameterisation(s)\n',sum(~index));
   else
      fprintf('\tsolution(s) available for no parameterisation(s)\n');
   end
end
disp(m.contained);
disp(' ');

end
% End of primary function.