function m = saveobj(m)

% The IRIS Toolbox.
% Copyright 2007-2010 Jaromir Benes.

%**************************************************************************
% Function body.

% Convert symbolic derivative function handles to char.
for i = 1 : length(m.deqtnF)
   for j = 1 : length(m.deqtnF{i})
      if isa(m.deqtnF{i}{j},'function_handle')
         m.deqtnF{i}{j} = func2str(m.deqtnF{i}{j});
      end
   end
end

% Convert full-equation function handles to char.
for i = 1 : length(m.eqtnF)
   if isa(m.eqtnF{i},'function_handle')
      m.eqtnF{i} = func2str(m.eqtnF{i});
   end
end

end
% End of primary function.