classdef plan < getsetobj & userdataobj ...
      & plans.tunes & plans.nonlin
   
   % Only inherits properties from parent classes.
   properties
   end
   
   methods
      function this = plan(m,range,varargin)
         this = this@plans.tunes(m,range);
         this = this@plans.nonlin(m,range,varargin{:});
      end
      function flag = isempty(this,query)
         switch query
            case 'tunes'
               flag = isempty@plans.tunes(this);
            case 'nonlin'
               flag = isempty@plans.nonlin(this);
         end
      end
      function disp(this)
         fprintf('\tsimulation plan object \n');
         disp@userdataobj(this);
         disp(' ');
      end
   end

   % Class-specific implementation of getsetobj methods.
   % TODO: Complete the code.
   methods (Access = 'protected')
      function [x,flag] = specget(this,query)
         flag = false;         
      end
      function [this,flag] = specset(this,name,value)
         flag = false;
      end
      function s = specsize(this)
         s = {1,1};
      end
   end
   
end
% End of classdef plan.