function a = apct(x,q)
% APCT  Annualised percentage rate of change.

% The IRIS Toolbox.
% Copyright 2007-2010 Jaromir Benes.

if nargin > 1 && ~isnumeric(q)
  error('Incorrect type of input argument(s).');
end

%**************************************************************************
% Function body.

if nargin < 2
   q = get(x,'freq');
   if q == 0
      q = 1;
   end
end

a = unop_(@pct_,x,0,-1,q);

end
% End of primary function.