function varargout = area(varargin)
% Area  Area plot function for time series.
%
% Syntax:
%   [h,rng,data,grid] = area(u,...)
%   [h,rng,data,grid] = area(rng,u,...)
% Required input arguments:
%   h numeric; rng numeric; u tseries
% <a href="options.html">Optional input arguments:</a>
%   'dateformat' char (irisget('plotdateformat'))
%   'datetick' numeric (Inf)
%   'function' function_handle (empty)
%   any Matlab PLOT options

% The IRIS Toolbox 2009/07/03.
% Copyright 2007-2009 Jaromir Benes.

%********************************************************************
% Function body..

[varargout{1:nargout}] = graph_(@area,0,varargin{:});

end
% End of primary function.