function x = df_(x,s)
% Called from within tseries/diff.

% The IRIS Toolbox.
% Copyright 2007 Jaromir Benes.

if nargin < 2
  s = -1;
end

%**************************************************************************
% Function body.

s = s(:).';
index = transpose(1:size(x,2));
index = index(:,ones([1,length(s)]));
index = transpose(index(:));
x = x(:,index) - shift_(x,s);

end
% End of primary function.