function x = moving_(x,window,fn)
% Called from within tseries/moving.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

window = window(:).';
if isempty(window)
  warning('Empty moving window.');
  x(:) = NaN;
else
  for i = 1 : size(x,2)
    x(:,i) = feval(fn,shift_(x(:,i),window),2);
  end
end

end
% End of primary function.