function x = pct_(x,s,q)
% Called from within tseris/pct.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

if nargin < 2
  s = -1;
end

if nargin < 3
   q = 1;
end

%**************************************************************************
% Function body.

s = transpose(s(:));
index = transpose(1:size(x,2));
index = index(:,ones([1,length(s)]));
index = transpose(index(:));
x = x(:,index) ./ shift_(x,s);
if q ~= 1
   x = x .^ q;
end
x = 100*(x - 1);

end
% End of primary function.