function dat = bbtoday()
% <a href="dates/bbtoday">BBTODAY</a>  Serial date number for current bimonth.
%
% Syntax:
%   dat = bbtoday()
% Output arguments:
%   dat [ numeric ]  Serial date number for current bimonth.

% The IRIS Toolbox.
% Copyright 2007-2009 Jaromir Benes.

%**************************************************************************
% Function body.

[year,month] = datevec(now());
dat = bb(year,1+floor((month-1)/2));

end
% End of primary function.