function [options,config] = datedefaults_(options,isplot)
% Use the defaults for the following options if they are 'config'.

if nargin < 2
   isplot = false;
end

config = irisget();

if isequal(options.dateformat,'config')
   if ~isplot
      options.dateformat = config.dateformat;
   else
      options.dateformat = config.plotdateformat;
   end
end
if isequal(options.freqletters,'config')
   options.freqletters = config.freqletters;
end
if isequal(options.months,'config')
   options.months = config.months;
end
if isequal(options.standinmonth,'config')
   options.standinmonth = config.standinmonth;
end

end
% End of primary function.