function [root,p] = genpathcell(root,exclude)

p = genpath(root);
if isempty(p)
   p = {};
   return
else
   p = regexp(genpath(root),'.*?;','match');
   if isempty(p)
      return
   else
      root = p(1);
      p = p(2:end);
   end
end

if nargin > 1 && ~isempty(exclude) && ~isempty(p)
   if ischar(exclude)
      exclude = {exclude};
   end
   flag = true(size(p));
   for i = 1 : numel(p)
      for j = 1 : numel(exclude)
         flag(i) = flag(i) && isempty(regexp(p{i},exclude{j},'once'));
         if ~flag(i)
            break
         end
      end
   end
   p = p(flag);
end

end
