function [h,hu] = ploteig(x,varargin)
% Type <a href="matlab: idoc utils.ploteig">idoc utils.ploteig</a> or click the link to get help on this function.

% The IRIS Toolbox 2009/09/25.
% Copyright 2007-2009 Jaromir Benes.

[options,varargin] = passvalopt('utils.ploteig',varargin{:});

plotspec = [ ...
   {'marker','x','markersize',8,'linestyle','none','linewidth',1.5}, ...
   varargin{:}, ...
];

%**************************************************************************
% Function body.

if ~isnumeric(x)
   x = eig(x);
end

h = plot(real(x),imag(x),plotspec{:});

if options.ucircle
   nextplot = get(gca,'nextplot');
   set(gca,'nextplot','add');
   hu = ucircle();
   set(gca,'nextplot',nextplot);
end

end
% End of primary function.